Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.recordmapping
Class RepeatingGroupMap

    java.lang.Object
      com.servingxml.components.recordmapping.RepeatingGroupMap

All Implemented Interfaces:
  MapXml

    public class RepeatingGroupMap

extends java.lang.Object
implements MapXml

A command for mapping a record in a flat file into an XML stream.

Constructor Summary
`RepeatingGroupMap(Name fieldName, MapXml children)`

Method Summary
`void` | `addToAttributes(ServiceContext context, Flow flow, Record variables, org.xml.sax.helpers.AttributesImpl attributes)`
`void` | `groupStarted(ServiceContext context, Flow flow, Record previousRecord, Record nextRecord, ExtendedContentHandler handler, Record variables)`
`void` | `groupStopped(ServiceContext context, Flow flow, ExtendedContentHandler handler)`
`boolean` | `isGrouping()`
`void` | `writeRecord(ServiceContext context, Flow flow, Record previousRecord, Record nextRecord, ExtendedContentHandler handler, GroupState groupListener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepeatingGroupMap

    public RepeatingGroupMap(Name fieldName,
                             MapXml children)

Method Detail

### writeRecord

    public void writeRecord(ServiceContext context,
                            Flow flow,
                            Record previousRecord,
                            Record nextRecord,
                            ExtendedContentHandler handler,
                            GroupState groupListener)

  Specified by:
    `writeRecord` in interface `MapXml`

### groupStarted

    public void groupStarted(ServiceContext context,
                             Flow flow,
                             Record previousRecord,
                             Record nextRecord,
                             ExtendedContentHandler handler,
                             Record variables)

  Specified by:
    `groupStarted` in interface `MapXml`

### groupStopped

    public void groupStopped(ServiceContext context,
                             Flow flow,
                             ExtendedContentHandler handler)

  Specified by:
    `groupStopped` in interface `MapXml`

### addToAttributes

    public void addToAttributes(ServiceContext context,
                                Flow flow,
                                Record variables,
                                org.xml.sax.helpers.AttributesImpl attributes)

  Specified by:
    `addToAttributes` in interface `MapXml`

### isGrouping

    public boolean isGrouping()

  Specified by:
    `isGrouping` in interface `MapXml`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD